National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2012-1429 Detail

Description

The ELF file parser in Bitdefender 7.2, Comodo Antivirus 7424, Emsisoft Anti-Malware 5.1.0.1, eSafe 7.0.17.0, F-Secure Anti-Virus 9.0.16160.0, Ikarus Virus Utilities T3 Command Line Scanner 1.1.97.0, McAfee Anti-Virus Scanning Engine 5.400.0.1158, McAfee Gateway (formerly Webwasher) 2010.1C, and nProtect Anti-Virus 2011-01-17.01 allows remote attackers to bypass malware detection via an ELF file with a ustar character sequence at a certain location. NOTE: this may later be SPLIT into multiple CVEs if additional information is published showing that the error occurred independently in different ELF parser implementations.

Source:  MITRE
Description Last Modified:  03/21/2012

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 4.3 MEDIUM
Vector: (AV:N/AC:M/Au:N/C:N/I:P/A:N) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 8.6


Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): None
Integrity (I): Partial
Availability (A): None
Additional Information:
Allows unauthorized modification

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://www.ieee-security.org/TC/SP2012/program.html
http://www.securityfocus.com/archive/1/522005
https://exchange.xforce.ibmcloud.com/vulnerabilities/74244

Technical Details

Vulnerability Type (View All)

  • Permissions, Privileges, and Access Control (CWE-264)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:aladdin:esafe:7.0.17.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:comodo:comodo_antivirus:7424:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:emsisoft:anti-malware:5.1.0.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_anti-virus:9.0.16160.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ikarus:ikarus_virus_utilities_t3_command_line_scanner:1.1.97.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:mcafee:gateway:2010.1c:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:mcafee:scan_engine:5.400.0.1158:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:nprotect:nprotect_antivirus:2011-01-17.01:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:softwin:bitdefender:7.2:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2012-1429
NVD Published Date:
03/21/2012
NVD Last Modified:
08/28/2017